#!/bin/sh
# Update .signature with help from xmessage
# Maybe handy as a window manager menu item


SIGNATURE="$HOME/.signature"
PREFS="$HOME/.sgrotum/prefs"

button=102

while [ "$button" -eq 102 ]
do

  xmessage -center            \
           -font fixed        \
           -buttons Ok,Change \
           -default Change    \
           -title Sgrotum     \
           -file "$SIGNATURE"

  button="$?"
  if [ "$button" -eq 102 ]
  then

    if ! sgrotum "$PREFS" ; then exit 1 ; fi

  fi

done

exit 0
