#!/bin/sh
# Han Boetes <han@boetes.org>
# Generates a quote file using /usr/games/fortune


#where do we want them.
tempquotes=tempquotes.txt

# and how much?
i=50

while [ $i -gt 0 ];do
    /usr/games/fortune -s | tr "\n" " " >> $tempquotes
    echo "" >> $tempquotes
    i=`expr $i - 1`
done

#no controlchars
cat $tempquotes | tr -d "_" | tr -d "" | tr -d "" | tr -d "	" | tr "  " " " > $tempquotes.tmp
mv $tempquotes.tmp $tempquotes

# sort 
sort -o $tempquotes $tempquotes

# only uniques
cat $tempquotes | uniq -u > $tempquotes.tmp
mv $tempquotes.tmp $tempquotes

# in the meanwhile... how many lines do we have?
wc -l $tempquotes

